deplibs.test
来自「GNU libtool 是一个通用库支持脚本」· TEST 代码 · 共 35 行
TEST
35 行
#! /bin/sh# deplibs.test - check whether the shared library check method is OK# Test script header.need_prefix=yesif test -z "$srcdir"; then srcdir=`echo "$0" | sed 's%/[^/]*$%%'` test "$srcdir" = "$0" && srcdir=. test "${VERBOSE+set}" != "set" && VERBOSE=yesfi. $srcdir/defs || exit 1# Check that things are built.if test -f ../demo/libhello.la && cd ../demo; then :else echo "You must run demo-conf.test before $0" 1>&2 exit 77fiecho "linking a shared library against a static library"if $make deplibs-check && test -f hell0; then :else echo "= cannot build the test program, check your deplibs_check_method" status=1fiecho "executing the test program"if ./hell0; then :else echo "= cannot execute the test program, check your deplibs_check_method" status=1fiexit $status
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?